=== modified file 'bzrlib/selftest/blackbox.py'
--- bzrlib/selftest/blackbox.py	2005-06-24 11:05:18 +0000
+++ bzrlib/selftest/blackbox.py	2005-06-24 11:15:37 +0000
@@ -345,6 +345,18 @@
 
 
 
+class RevertCommand(InTempDir):
+    def runTest(self):
+        self.runcmd('bzr init')
+
+        file('hello', 'wt').write('foo')
+        self.runcmd('bzr add hello')
+        self.runcmd('bzr commit -m setup hello')
+        
+        file('hello', 'wt').write('bar')
+        self.runcmd('bzr revert hello')
+        self.check_file_contents('hello', 'foo')
+
     
         
 
@@ -362,5 +374,7 @@
                 HelpCommands(),
                 UserIdentity(),
                 InvalidCommands(),
-                OldTests()])
+                RevertCommand(),
+                OldTests(),
+                ])
     return s

